Skip to main content
GET
List System Prompts

Authorizations

Authorization
string
header
required

JWT token from Stytch B2B authentication (magic link, SSO, or M2M)

Query Parameters

enabled
boolean
default:true

Filter to enabled system prompts only

isSystem
boolean | null

Filter by system status: true = system templates only, false = user-created only, omit = user-created only (default)

slug
string | null

Filter to a specific system profile by slug (e.g. customer-support-agent)

expand[]
string[] | null

Fields to expand (e.g., particles)

limit
integer
default:20

Maximum results to return

Required range: 1 <= x <= 100
cursor
string | null

Pagination cursor

Response

Successful Response

Paginated response for system prompt listings.

items
SystemPromptOut · object[]
required

List of system prompts

hasMore
boolean
required

Whether more results exist

nextCursor
string | null

Cursor for next page